import { HttpClient, MaybeContext, BuildRESTFunction } from '@wix/sdk-types';
import { G as GetEditorUrlsOptions, a as GetEditorUrlsResponse } from './editorurls-v2-editor-urls-editor.universal-Bk5ypl8G.mjs';
export { E as EditorType, b as EditorUrls, c as GetEditorUrlsRequest } from './editorurls-v2-editor-urls-editor.universal-Bk5ypl8G.mjs';

declare function getEditorUrls$1(httpClient: HttpClient): GetEditorUrlsSignature;
interface GetEditorUrlsSignature {
    /**
     * Retrieves a site's Editor URLs.
     */
    (options?: GetEditorUrlsOptions | undefined): Promise<GetEditorUrlsResponse>;
}

declare const getEditorUrls: MaybeContext<BuildRESTFunction<typeof getEditorUrls$1> & typeof getEditorUrls$1>;

export { GetEditorUrlsOptions, GetEditorUrlsResponse, getEditorUrls };
