"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  getEditorUrls: () => getEditorUrls2
});
module.exports = __toCommonJS(meta_exports);

// src/editorurls-v2-editor-urls-editor.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixEditorurlsV2EditorUrlsApiUrl(opts) {
  const domainToMappings = {
    "manage._base_domain_": [
      {
        srcPath: "/_api/editor-urls",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/editor-urls",
        destPath: "/v2/editor-urls"
      }
    ],
    "*.dev.wix-code.com": [
      {
        srcPath: "/editorurls/v2/editor-urls",
        destPath: "/v2/editor-urls"
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_urls_editor";
function getEditorUrls(payload) {
  function __getEditorUrls({ host }) {
    const metadata = {
      entityFqdn: "wix.editorurls.v2.editor_urls",
      method: "GET",
      methodFqn: "wix.editorurls.v2.EditorUrlsApi.GetEditorUrls",
      packageName: PACKAGE_NAME,
      url: resolveWixEditorurlsV2EditorUrlsApiUrl({
        protoPath: "/v2/editor-urls",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload)
    };
    return metadata;
  }
  return __getEditorUrls;
}

// src/editorurls-v2-editor-urls-editor.meta.ts
function getEditorUrls2() {
  const payload = {};
  const getRequestOptions = getEditorUrls(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v2/editor-urls",
    pathParams: {},
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  getEditorUrls
});
//# sourceMappingURL=meta.js.map